# PokemonBaseStatModifier | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PokemonBaseStatModifier

#### Hierarchy (view full)

- PokemonHeldItemModifier
  - PokemonBaseStatModifier

- Defined in src/modifier/modifier.ts:664

#####
Index

### Constructors

constructor

### Properties

pokemonId
stackCount
stat
type
virtualStackCount

### Methods

add
apply
clone
getArgs
getIcon
getIconStackText
getMaxHeldItemCount
getMaxStackCount
getPokemon
getScoreMultiplier
getSecondaryChanceMultiplier
getStackCount
getTransferrable
incrementStack
isIconVisible
match
matchType
shouldApply

## Constructors

### constructor

- new PokemonBaseStatModifier(type, pokemonId, stat, stackCount?): PokemonBaseStatModifier

- #### Parameters

  - type: PokemonBaseStatBoosterModifierType
  - pokemonId: number
  - stat: Stat
  - `Optional` stackCount: number

  #### Returns PokemonBaseStatModifier

  Overrides PokemonHeldItemModifier.constructor

  - Defined in src/modifier/modifier.ts:667

## Properties

### pokemonId

pokemonId: number

Inherited from PokemonHeldItemModifier.pokemonId

- Defined in src/modifier/modifier.ts:471

### stackCount

stackCount: number

Inherited from PokemonHeldItemModifier.stackCount

- Defined in src/modifier/modifier.ts:149

### `Protected` stat

stat: Stat

- Defined in src/modifier/modifier.ts:665

### type

type: ModifierType

Inherited from PokemonHeldItemModifier.type

- Defined in src/modifier/modifier.ts:131

### virtualStackCount

virtualStackCount: number

Inherited from PokemonHeldItemModifier.virtualStackCount

- Defined in src/modifier/modifier.ts:150

## Methods

### add

- add(modifiers, virtual, scene): boolean

- #### Parameters

  - modifiers: PersistentModifier []
  - virtual: boolean
  - scene: default

  #### Returns boolean

  Inherited from PokemonHeldItemModifier.add

  - Defined in src/modifier/modifier.ts:158

### apply

- apply(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides PokemonHeldItemModifier.apply

  - Defined in src/modifier/modifier.ts:691

### clone

- clone(): PersistentModifier

- #### Returns PersistentModifier

  Overrides PokemonHeldItemModifier.clone

  - Defined in src/modifier/modifier.ts:679

### getArgs

- getArgs(): any[]

- #### Returns any[]

  Overrides PokemonHeldItemModifier.getArgs

  - Defined in src/modifier/modifier.ts:683

### getIcon

- getIcon(scene, forSummary?): Container

- #### Parameters

  - scene: default
  - `Optional` forSummary: boolean

  #### Returns Container

  Inherited from PokemonHeldItemModifier.getIcon

  - Defined in src/modifier/modifier.ts:501

### getIconStackText

- getIconStackText(scene, virtual?): BitmapText

- #### Parameters

  - scene: default
  - `Optional` virtual: boolean

  #### Returns BitmapText

  Inherited from PokemonHeldItemModifier.getIconStackText

  - Defined in src/modifier/modifier.ts:223

### getMaxHeldItemCount

- getMaxHeldItemCount(pokemon): number

- #### Parameters

  - pokemon: default

  #### Returns number

  Overrides PokemonHeldItemModifier.getMaxHeldItemCount

  - Defined in src/modifier/modifier.ts:705

### getMaxStackCount

- getMaxStackCount(scene, forThreshold?): number

- #### Parameters

  - scene: default
  - `Optional` forThreshold: boolean

  #### Returns number

  Inherited from PokemonHeldItemModifier.getMaxStackCount

  - Defined in src/modifier/modifier.ts:556

### getPokemon

- getPokemon(scene): default

- #### Parameters

  - scene: default

  #### Returns default

  Inherited from PokemonHeldItemModifier.getPokemon

  - Defined in src/modifier/modifier.ts:532

### getScoreMultiplier

- getScoreMultiplier(): number

- #### Returns number

  Overrides PokemonHeldItemModifier.getScoreMultiplier

  - Defined in src/modifier/modifier.ts:701

### getSecondaryChanceMultiplier

- getSecondaryChanceMultiplier(pokemon): number

- #### Parameters

  - pokemon: default

  #### Returns number

  Inherited from PokemonHeldItemModifier.getSecondaryChanceMultiplier

  - Defined in src/modifier/modifier.ts:541

### getStackCount

- getStackCount(): number

- #### Returns number

  Inherited from PokemonHeldItemModifier.getStackCount

  - Defined in src/modifier/modifier.ts:192

### getTransferrable

- getTransferrable(_withinParty): boolean

- #### Parameters

  - _withinParty: boolean

  #### Returns boolean

  Overrides PokemonHeldItemModifier.getTransferrable

  - Defined in src/modifier/modifier.ts:697

### incrementStack

- incrementStack(scene, amount, virtual): boolean

- #### Parameters

  - scene: default
  - amount: number
  - virtual: boolean

  #### Returns boolean

  Inherited from PokemonHeldItemModifier.incrementStack

  - Defined in src/modifier/modifier.ts:179

### isIconVisible

- isIconVisible(scene): boolean

- #### Parameters

  - scene: default

  #### Returns boolean

  Inherited from PokemonHeldItemModifier.isIconVisible

  - Defined in src/modifier/modifier.ts:497

### match

- match(modifier): boolean

- #### Parameters

  - modifier: Modifier

  #### Returns boolean

  Inherited from PokemonHeldItemModifier.match

  - Defined in src/modifier/modifier.ts:481

### matchType

- matchType(modifier): boolean

- #### Parameters

  - modifier: Modifier

  #### Returns boolean

  Overrides PokemonHeldItemModifier.matchType

  - Defined in src/modifier/modifier.ts:672

### shouldApply

- shouldApply(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides PokemonHeldItemModifier.shouldApply

  - Defined in src/modifier/modifier.ts:687